# Uses of Class
org.apache.sysds.runtime.controlprogram.parfor.Task

Packages that use Task
Package
Description
org.apache.sysds.runtime.controlprogram.parfor

## Uses of Task in org.apache.sysds.runtime.controlprogram.parfor

Methods in org.apache.sysds.runtime.controlprogram.parfor that return Task
Modifier and Type
Method
Description
`static Task`
Task.`parseCompactString(String stask)`
Methods in org.apache.sysds.runtime.controlprogram.parfor that return types with arguments of type Task
Modifier and Type
Method
Description
`abstract List<Task>`
TaskPartitioner.`createTasks()`
Creates and returns set of all tasks for given problem at once.
`List<Task>`
TaskPartitionerFactoring.`createTasks()`
`List<Task>`
TaskPartitionerFixedsize.`createTasks()`
Methods in org.apache.sysds.runtime.controlprogram.parfor with parameters of type Task
Modifier and Type
Method
Description
`Iterator<scala.Tuple2<Long,String>>`
RemoteParForSparkWorker.`call(Task arg0)`
Method parameters in org.apache.sysds.runtime.controlprogram.parfor with type arguments of type Task
Modifier and Type
Method
Description
`abstract long`
TaskPartitioner.`createTasks(LocalTaskQueue<Task> queue)`
Creates set of all tasks for given problem, but streams them directly into task queue.
`long`
TaskPartitionerFactoring.`createTasks(LocalTaskQueue<Task> queue)`
`long`
TaskPartitionerFixedsize.`createTasks(LocalTaskQueue<Task> queue)`
`static RemoteParForJobReturn`
RemoteParForSpark.`runJob(long pfid, String prog, HashMap<String,byte[]> clsMap, List<Task> tasks, ExecutionContext ec, Set<String> brVars, List<ParForStatementBlock.ResultVar> resultVars, boolean cpCaching, int numMappers, boolean topLevelPF)`
Constructor parameters in org.apache.sysds.runtime.controlprogram.parfor with type arguments of type Task
Modifier
Constructor
Description
``
`LocalParWorker(long ID, LocalTaskQueue<Task> q, ParForBody body, CompilerConfig cconf, int max_retry)`